#Eroteida's function from Medscope 
MonthsToString <- function(numeric.months) { # vector de meses numérico rango de 1 a 12
  if (!is.vector(numeric.months)) {
    stop("Parameter 'numeric.months' must be a vector.")
  }
  paste(unlist(lapply(numeric.months, .MonthsToString)), collapse = "")
}
.MonthsToString <- function(x) { #x: es el número de un mes
  if (length(x) != 1) {
    stop("Parameter 'x' must be one single element.")
  }
  if (!is.numeric(x)) {
    stop("Parameter 'x' must be numeric.")
    if (x %% 1 != 0) { 
      stop("Parameter 'x' must be numeric integer.")
    }
  }
  substring(month.abb[x], 1, 1)
}